"""
Image widget
============

Example showing the image widget in action.
When run in a notebook, or with the Qt GUI backend, sliders are also shown.
"""

# sphinx_gallery_pygfx_docs = 'hidden'

import fastplotlib as fpl
import imageio.v3 as iio  # not a fastplotlib dependency, only used for examples

a = iio.imread("imageio:camera.png")
iw = fpl.ImageWidget(data=a, cmap="viridis")
iw.show()

# NOTE: `if __name__ == "__main__"` is NOT how to use fastplotlib interactively
# please see our docs for using fastplotlib interactively in ipython and jupyter
if __name__ == "__main__":
    print(__doc__)
    fpl.run()
